Index: kernel/generic/include/synch/condvar.h
===================================================================
--- kernel/generic/include/synch/condvar.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/condvar.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __CONDVAR_H__
-#define __CONDVAR_H__
+#ifndef KERN_CONDVAR_H_
+#define KERN_CONDVAR_H_
 
 #include <arch/types.h>
@@ -57,5 +57,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/generic/include/synch/futex.h
===================================================================
--- kernel/generic/include/synch/futex.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/futex.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __FUTEX_H__
-#define __FUTEX_H__
+#ifndef KERN_FUTEX_H_
+#define KERN_FUTEX_H_
 
 #include <arch/types.h>
@@ -60,3 +60,2 @@
 /** @}
  */
-
Index: kernel/generic/include/synch/mutex.h
===================================================================
--- kernel/generic/include/synch/mutex.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/mutex.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __MUTEX_H__
-#define __MUTEX_H__
+#ifndef KERN_MUTEX_H_
+#define KERN_MUTEX_H_
 
 #include <arch/types.h>
@@ -60,5 +60,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/generic/include/synch/rwlock.h
===================================================================
--- kernel/generic/include/synch/rwlock.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/rwlock.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __RWLOCK_H__
-#define __RWLOCK_H__
+#ifndef KERN_RWLOCK_H_
+#define KERN_RWLOCK_H_
 
 #include <arch/types.h>
@@ -75,6 +75,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
-
Index: kernel/generic/include/synch/semaphore.h
===================================================================
--- kernel/generic/include/synch/semaphore.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/semaphore.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __SEMAPHORE_H__
-#define __SEMAPHORE_H__
+#ifndef KERN_SEMAPHORE_H_
+#define KERN_SEMAPHORE_H_
 
 #include <arch/types.h>
@@ -59,6 +59,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
-
Index: kernel/generic/include/synch/spinlock.h
===================================================================
--- kernel/generic/include/synch/spinlock.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/spinlock.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __SPINLOCK_H__
-#define __SPINLOCK_H__
+#ifndef KERN_SPINLOCK_H_
+#define KERN_SPINLOCK_H_
 
 #include <arch/types.h>
@@ -117,5 +117,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/generic/include/synch/synch.h
===================================================================
--- kernel/generic/include/synch/synch.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/synch.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __SYNCH_H__
-#define __SYNCH_H__
+#ifndef KERN_SYNCH_H_
+#define KERN_SYNCH_H_
 
 #define SYNCH_NO_TIMEOUT	0	/**< Request with no timeout. */
@@ -53,5 +53,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/generic/include/synch/waitq.h
===================================================================
--- kernel/generic/include/synch/waitq.h	(revision 1167520724b9b526c27b67f2d4bc447ef626240c)
+++ kernel/generic/include/synch/waitq.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup sync
+/** @addtogroup sync
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __WAITQ_H__
-#define __WAITQ_H__
+#ifndef KERN_WAITQ_H_
+#define KERN_WAITQ_H_
 
 #include <arch/types.h>
@@ -72,5 +72,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
